Bug 1379707 - gfapi: Fix fd ref leaks
Summary: gfapi: Fix fd ref leaks
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: libgfapi
Version: 3.9
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Soumya Koduri
QA Contact: Sudhir D
URL:
Whiteboard:
Depends On: 1379285 1379924
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-27 13:33 UTC by Niels de Vos
Modified: 2017-03-08 12:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1379285
Environment:
Last Closed: 2017-03-08 12:33:11 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Niels de Vos 2016-09-27 13:33:05 UTC
+++ This bug was initially created as a clone of Bug #1379285 +++

Description of problem:

From the code inspection, have observed that there are fd ref leaks for few fd-based gfapi fops. 'glfs_resolve_fd' returns a fd (either existing or migrated) with an extra ref taken. This needs to be unref'ed at the end of the operation.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Worker Ant on 2016-09-26 11:35:39 CEST ---

REVIEW: http://review.gluster.org/15573 (gfapi: Fix few fd ref leaks) posted (#1) for review on master by soumya k (skoduri@redhat.com)

--- Additional comment from Worker Ant on 2016-09-27 08:43:38 CEST ---

COMMIT: http://review.gluster.org/15573 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit d27cffab670858d7812bbb458a0833303d009b3b
Author: Soumya Koduri <skoduri@redhat.com>
Date:   Mon Sep 26 14:54:27 2016 +0530

    gfapi: Fix few fd ref leaks
    
    From the code inspection, have observed that there are fd ref
    leaks for few fd-based gfapi fops. 'glfs_resolve_fd' returns
    a fd (either existing or migrated) with an extra ref taken.
    This needs to be unref'ed at the end of the operation.
    
    Change-Id: Id63394e3e7deafb0c8b06444f2ae847248b126db
    BUG: 1379285
    Signed-off-by: Soumya Koduri <skoduri@redhat.com>
    Reviewed-on: http://review.gluster.org/15573
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>

Comment 1 Worker Ant 2016-09-28 06:37:49 UTC
REVIEW: http://review.gluster.org/15584 (gfapi: Fix few fd ref leaks) posted (#1) for review on release-3.9 by soumya k (skoduri@redhat.com)

Comment 2 Worker Ant 2016-11-10 06:44:05 UTC
COMMIT: http://review.gluster.org/15584 committed in release-3.9 by Raghavendra Talur (rtalur@redhat.com) 
------
commit 6b037e3782ebafe3b08656c578b5fa245f68395f
Author: Soumya Koduri <skoduri@redhat.com>
Date:   Mon Sep 26 14:54:27 2016 +0530

    gfapi: Fix few fd ref leaks
    
    From the code inspection, have observed that there are fd ref
    leaks for few fd-based gfapi fops. 'glfs_resolve_fd' returns
    a fd (either existing or migrated) with an extra ref taken.
    This needs to be unref'ed at the end of the operation.
    
    Mainline reference:
    > Change-Id: Id63394e3e7deafb0c8b06444f2ae847248b126db
    > BUG: 1379285
    > Signed-off-by: Soumya Koduri <skoduri@redhat.com>
    > Reviewed-on: http://review.gluster.org/15573
    > Reviewed-by: Niels de Vos <ndevos@redhat.com>
    (cherry picked from commit d27cffab670858d7812bbb458a0833303d009b3b)
    
    Change-Id: I17dd9e31eca7ffa1f60a9e3a66b1c7051ce9002f
    BUG: 1379707
    Signed-off-by: Soumya Koduri <skoduri@redhat.com>
    Reviewed-on: http://review.gluster.org/15584
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>

Comment 3 Kaushal 2017-03-08 12:33:11 UTC
This bug is getting closed because GlusterFS-3.9 has reached its end-of-life [1].

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please open a new bug against the newer release.

[1]: https://www.gluster.org/community/release-schedule/


Note You need to log in before you can comment on or make changes to this bug.